Change FinkLink: 
  You must have Flash Player 8 or higher installed to play.